Subject: Re: hw4

From: Chee Yap <[email-masked]>
Date: Wed, 10 Nov 1999 08:48:34 -0500 (EST)

Isabella:

You cannot insert a "return character" literally into
a string.  Use "\n" instead.
If you want to break up a string in the middle
of your program input, use the + operator.  E.g.

	System.out.println("this" +
	"is a test");

Chee

> From [email-masked] Tue Nov  9 21:49 EST 1999
> Date: Tue, 9 Nov 1999 21:49:06 -0500 (EST)
> From: "Ka Wai (Isabella) Leung" <[email-masked]>
> To: [email-masked]
> Subject: hw4
> 
> when I compile hw4, I get the following errors for Main:
> 
> mult.java:65: String not terminated at end of line.
>                 System.err.println("Usage: java mult [numBits: positive
>                                    ^
> mult.java:66: ')' expected.
> integer]");
> ^
> mult.java:66: String not terminated at end of line.
> integer]");
>         ^
> 3 errors
> 
> The line is 
> 
> if(numBits <= 0) {
> 		System.err.println("Usage: java mult [numBits: positive
> integer]");
> 		return;
> 
> 
> What should I do?
> 
> Isabella
> 
> 
> 
> 
>